This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 132097 - mozilla command line url wiith whitspace fails
mozilla command line url wiith whitspace fails
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks: FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-09-08 15:27 EDT by Marcel Mol
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-03 16:07:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marcel Mol 2004-09-08 15:27:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
running mozilla from the command line passing it a url that contains
spaces will fail:

$ mozilla "my url.html"
/usr/bin/mozilla: line 214: [: /home/marcel/my: binary operator expected

Mozilla runs fine when renaming the file to my_url.html

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. See description

Additional info:

The following patch will fix this:

--- /usr/bin/mozilla    2004-08-09 13:16:16.000000000 +0200
+++ moz 2004-09-08 21:25:11.227702026 +0200
@@ -211,7 +211,7 @@
     # if it doesn't begin with a '/' and it exists when the pwd is
     # prepended to it then append the full path
     echo $opt | grep -e '^/' 2>/dev/null > /dev/null
-    if [ "${RETURN_VAL}" -ne "0" ] && [ -e `pwd`/$opt ]; then
+    if [ "${RETURN_VAL}" -ne "0" ] && [ -e "`pwd`/$opt" ]; then
       opt="`pwd`/$opt"
     fi
     exec $MOZ_CLIENT_PROGRAM "openurl($opt)" 2>/dev/null >/dev/null
Comment 1 Christopher Aillon 2005-05-03 16:07:38 EDT
Fix checked in to devel for firefox and mozilla, will be in the next set of builds.

Note You need to log in before you can comment on or make changes to this bug.